package com.style24.batch.support.env;

/**
 * 변경될 소지가 있는 변수 값을 정의
 * 공통 모듈은 style24.core의 TscConstants에 정의하고 Batch 모듈에서만 사용하는 것을 정의
 *
 * @author gagamel
 * @since 2020. 11. 13
 */
public class TsbConstants {

	// 등록자번호
	public static final Integer REG_NO = 0;

	// 모니터링
	public enum Monitoring {
		JOIN_CNT("A001"),			// 회원가입건수
		LOGIN_CNT("A002"),			// 로그인건수
		INFLOW_CNT("A003"),			// 유입건수
		PAY_CNT("A004"),			// 결제건수
		EXTMALL_ORD_CNT("A005");	// 외부몰 주문건수

		private String value;

		private Monitoring(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

	// 사이트코드
		public enum SiteCd {
			STYLE24("G000_10");

			private String value;

			private SiteCd(String value) {
				this.value = value;
			}

			public String value() {
				return value;
			}
		}

}
